Bug 3263 - Проблемы с русскими названиями видов в kaddressbook
: Проблемы с русскими названиями видов в kaddressbook
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kdepim-kaddressbook)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-11-12 09:39 by
Modified: 2005-09-01 12:11 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-11-12 09:39:32
Невозможно избавиться от вида, набранного русскими буквами 

Steps to Reproduce:
1. В диалоге "Добавить вид" ввести название вида по-русски (например,
"Картинки" для 
представления Icon) 
2. Выбрать новый вид и нажать кнопку удаления 
3. Повторить шаг 2. 
Actual Results:  
При первом удалении название вида в диалоговом окне отображается в виде 
квадратиков и ничего не происходит. При повторной (и всех последующих попытках) 
удаления название вида в диалоговом окне показывается "зюками" (знаками
вопроса). 
Сам вид (информация о нём) при этом удаляется, но название вида так и остаётся
в 
меню навечно. При этом в файле $HOME/.kde/share/config/kaddressbookrc 
сохраняется вся информация о виде. Кроме того, первые две секции файла 
kaddressbookrc тоже названы знаками вопроса. 

Expected Results:  
Нормальное удаление вида, так же как и в случае названия его латинскими
буквами.
------- Comment #1 From 2004-04-21 22:02:41 -------
fixed in kdepim-kaddressbook >= 3.2